<!DOCTYPE HTML>
<html>
    <head>
        <title>eCAP</title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="stylesheet" href="/assets/main.css" />
    </head>
    <body>
            <header class="container">
                <nav id="stationary-menu"><div class="menuLeft"><span class="menuItem">eCAP</span></div><div class="menuRight"><a class="menuItem" href="/docs/" data-title="Documentation">Documentation</a><a class="menuItem" href="/downloads/" data-title="Downloads">Downloads</a><a class="menuItem" href="/market/" data-title="Market">Market</a><a class="menuItem" href="/support/" data-title="Support">Support</a></div></nav>
                <nav id="mobile-menu">
                    <a href="#navPanel" class="toggle"><img src="/assets/hamburger.svg" alt="menu"></a>
                    <span class="menuItem">eCAP</span>
                    <div id="navPanel"><a class="menuItem" href="/docs/">Documentation</a><a class="menuItem" href="/downloads/">Downloads</a><a class="menuItem" href="/market/">Market</a><a class="menuItem" href="/support/">Support</a></div>
                </nav>
            </header>
            <main class="container">
                <div class="row main-row">
                    <div class="12u">
                        





<p>eCAP is a software interface that allows a network application, such as an HTTP proxy or an ICAP server, to outsource content analysis and adaptation to a loadable module. For each applicable protocol message being processed, an eCAP-enabled host application supplies the message details to the adaptation module and gets back an adapted message, a &quot;not interested&quot; response, or a &quot;block this message now!&quot; instruction. These exchanges often include message bodies.</p>

<p>The adaptation module can also exchange meta-information with the host application to supply additional details such as configuration options, a reason behind the decision to ignore a message, or a detected virus name.</p>

<p>If you are familiar with the <a href="http://www.icap-forum.org/">ICAP</a> protocol (RFC 3507), then you may think of eCAP as an &quot;embedded ICAP&quot;, where network interactions with an ICAP server are replaced with function calls to an adaptation module.</p>

<p>This site documents eCAP interfaces and provides open source software required for their implementation.</p>

                    </div>
                </div>
            </main>
            <footer class="container">
                <div class="row">
                    <div class="12u">

                        <div id="copyright">&copy; <a href="http://www.measurement-factory.com/">The Measurement Factory</a>. <a href="/credits/">Credits</a>.</div>

                    </div>
                </div>
            </footer>
            <script src="/assets/jquery.min.js"></script><script src="/assets/skel.min.js"></script><script src="/assets/skel-viewport.min.js"></script><script src="/assets/util.js"></script><script src="/assets/main.js"></script>
    </body>
</html>